Startup Scripts
Generated on 18 Mar 2026
https://api.paperspace.com/v1
Endpoints
GET List startup scripts
/startup-scripts
Authorizations:
BearerAuth
An API key or access token
Fetches a list of startup scripts.
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descname
optional
Request: /startup-scripts
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/startup-scripts"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
assignedMachineIds
required
The IDs of the machines the startup script is assigned to.
description
required Nullable
The description of the startup script.
dtCreated
required
The date the startup script was created.
dtDeleted
required Nullable
The date the startup script was deleted.
id
required
The ID of the startup script.
isEnabled
required
Whether the startup script is enabled.
isRunOnce
required
Whether the startup script is run once on first boot or on every boot.
name
required
The name of the startup script.
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"assignedMachineIds": [],
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"id": "string",
"isEnabled": true,
"isRunOnce": true,
"name": "string"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}POST Create startup script
/startup-scripts
Authorizations:
BearerAuth
An API key or access token
Create a startup script.
Request Body: application/json
isRunOnce
optional
Whether the script should only run once on first boot or on every boot.
name
required
The name of the startup script.
script
required
The script to run on startup.
Request: /startup-scripts
{
"isRunOnce": false,
"name": "string",
"script": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"isRunOnce": false,
"name": "string",
"script": "string"
}' \
"https://api.paperspace.com/v1/startup-scripts"Responses
200
Successful response
application/json
assignedMachineIds
required
The IDs of the machines the startup script is assigned to.
description
required Nullable
The description of the startup script.
dtCreated
required
The date the startup script was created.
dtDeleted
required Nullable
The date the startup script was deleted.
id
required
The ID of the startup script.
isEnabled
required
Whether the startup script is enabled.
isRunOnce
required
Whether the startup script is run once on first boot or on every boot.
name
required
The name of the startup script.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"assignedMachineIds": [
"string"
],
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"id": "string",
"isEnabled": true,
"isRunOnce": true,
"name": "string"
}{
"code": "string",
"message": "string"
}GET Get a startup script
/startup-scripts/{id}
Authorizations:
BearerAuth
An API key or access token
Fetches a single startup script by ID.
Path Parameters
id
required
The ID of the startup script to fetch.
Request: /startup-scripts/{id}
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/startup-scripts/{id}"Responses
200
Successful response
application/json
assignedMachineIds
required
The IDs of the machines the startup script is assigned to.
description
required Nullable
The description of the startup script.
dtCreated
required
The date the startup script was created.
dtDeleted
required Nullable
The date the startup script was deleted.
id
required
The ID of the startup script.
isEnabled
required
Whether the startup script is enabled.
isRunOnce
required
Whether the startup script is run once on first boot or on every boot.
name
required
The name of the startup script.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"assignedMachineIds": [
"string"
],
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"id": "string",
"isEnabled": true,
"isRunOnce": true,
"name": "string"
}{
"code": "string",
"message": "string"
}PUT Update startup script
/startup-scripts/{id}
Authorizations:
BearerAuth
An API key or access token
Update a startup script.
Path Parameters
id
required
The id of the startup script.
Request Body: application/json
isEnabled
optional
Whether the startup script is enabled.
isRunOnce
optional
Whether the script should only run once on first boot or on every boot.
name
optional
The name of the startup script.
script
optional
The script to run on startup.
Request: /startup-scripts/{id}
{
"isEnabled": true,
"isRunOnce": true,
"name": "string",
"script": "string"
}curl -X PUT \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"isEnabled": true,
"isRunOnce": true,
"name": "string",
"script": "string"
}' \
"https://api.paperspace.com/v1/startup-scripts/{id}"Responses
200
Successful response
application/json
assignedMachineIds
required
The IDs of the machines the startup script is assigned to.
description
required Nullable
The description of the startup script.
dtCreated
required
The date the startup script was created.
dtDeleted
required Nullable
The date the startup script was deleted.
id
required
The ID of the startup script.
isEnabled
required
Whether the startup script is enabled.
isRunOnce
required
Whether the startup script is run once on first boot or on every boot.
name
required
The name of the startup script.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"assignedMachineIds": [
"string"
],
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"id": "string",
"isEnabled": true,
"isRunOnce": true,
"name": "string"
}{
"code": "string",
"message": "string"
}DELETE Delete startup script
/startup-scripts/{id}
Authorizations:
BearerAuth
An API key or access token
Delete a startup script.
Path Parameters
id
required
The id of the startup script.
Request: /startup-scripts/{id}
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/startup-scripts/{id}"Responses
200
Successful response
application/json
assignedMachineIds
required
The IDs of the machines the startup script is assigned to.
description
required Nullable
The description of the startup script.
dtCreated
required
The date the startup script was created.
dtDeleted
required Nullable
The date the startup script was deleted.
id
required
The ID of the startup script.
isEnabled
required
Whether the startup script is enabled.
isRunOnce
required
Whether the startup script is run once on first boot or on every boot.
name
required
The name of the startup script.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"assignedMachineIds": [
"string"
],
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"id": "string",
"isEnabled": true,
"isRunOnce": true,
"name": "string"
}{
"code": "string",
"message": "string"
}POST Assign startup script to machine
/startup-scripts/{id}/assign
Authorizations:
BearerAuth
An API key or access token
Assign a startup script to a machine.
Path Parameters
id
required
The id of the startup script.
Request Body: application/json
machineId
required
The id of the machine to assign the startup script to.
Request: /startup-scripts/{id}/assign
{
"machineId": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"machineId": "string"
}' \
"https://api.paperspace.com/v1/startup-scripts/{id}/assign"Responses
200
Successful response
application/json
assignedMachineIds
required
The IDs of the machines the startup script is assigned to.
description
required Nullable
The description of the startup script.
dtCreated
required
The date the startup script was created.
dtDeleted
required Nullable
The date the startup script was deleted.
id
required
The ID of the startup script.
isEnabled
required
Whether the startup script is enabled.
isRunOnce
required
Whether the startup script is run once on first boot or on every boot.
name
required
The name of the startup script.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"assignedMachineIds": [
"string"
],
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"id": "string",
"isEnabled": true,
"isRunOnce": true,
"name": "string"
}{
"code": "string",
"message": "string"
}POST Unassign startup script from machine
/startup-scripts/{id}/unassign
Authorizations:
BearerAuth
An API key or access token
Unassign a startup script from a machine.
Path Parameters
id
required
The id of the startup script.
Request Body: application/json
machineId
required
The id of the machine to unassign the startup script from.
Request: /startup-scripts/{id}/unassign
{
"machineId": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"machineId": "string"
}' \
"https://api.paperspace.com/v1/startup-scripts/{id}/unassign"Responses
200
Successful response
application/json
assignedMachineIds
required
The IDs of the machines the startup script is assigned to.
description
required Nullable
The description of the startup script.
dtCreated
required
The date the startup script was created.
dtDeleted
required Nullable
The date the startup script was deleted.
id
required
The ID of the startup script.
isEnabled
required
Whether the startup script is enabled.
isRunOnce
required
Whether the startup script is run once on first boot or on every boot.
name
required
The name of the startup script.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"assignedMachineIds": [
"string"
],
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"id": "string",
"isEnabled": true,
"isRunOnce": true,
"name": "string"
}{
"code": "string",
"message": "string"
}